Package com.collabnet.ce.soap60.webservices.scm

# Class CheckoutCommandSoapListMarshaler

java.lang.Object
com.collabnet.ce.soap60.marshaling.AbstractStatelessSoapMarshaler
com.collabnet.ce.soap60.marshaling.AbstractSoapMarshaler
com.collabnet.ce.soap60.webservices.scm.CheckoutCommandSoapListMarshaler

All Implemented Interfaces:
  `SoapMarshaler`

public class CheckoutCommandSoapListMarshaler extends AbstractSoapMarshaler

Since:
  8.1

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static SoapMarshaler`
  `getInstance()`
  Singleton method implementation.
  `Object`
  `rmiToSoap(Object rmiObject)`
  Unmarshals an object used by RMI APIs to a SOAP object
  `Object`
  `soapToRmi(Object soapObject)`
  Converts a SOAP object to an object type required by RMI APIs.

  ### Methods inherited from class com.collabnet.ce.soap60.marshaling.AbstractSoapMarshaler

  `getCoreService, protectedRmiToSoap, protectedSoapToRmi`

  ### Methods inherited from class com.collabnet.ce.soap60.marshaling.AbstractStatelessSoapMarshaler

  `isStateless`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### getInstance

    public static SoapMarshaler getInstance()
    Singleton method implementation.
    Returns:
      this class instance

  - ### soapToRmi

    public Object soapToRmi(Object soapObject) throws SoapMarshalingException
    Description copied from interface: `SoapMarshaler`
    Converts a SOAP object to an object type required by RMI APIs.
    Parameters:
      `soapObject` - SOAP object to marshal.
    Returns:
      Object required by RMI APIs.
    Throws:
      `SoapMarshalingException` - when an error is encountered during marshaling.

  - ### rmiToSoap

    public Object rmiToSoap(Object rmiObject) throws SoapMarshalingException
    Description copied from interface: `SoapMarshaler`
    Unmarshals an object used by RMI APIs to a SOAP object
    Parameters:
      `rmiObject` - Object used by RMI apis.
    Returns:
      Unmarshaled SOAP object.
    Throws:
      `SoapMarshalingException` - when an error is encountered during unmarshaling.